#
# spec file for package swaks
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           swaks
Version:        20201014.0
Release:        bp155.3.3.1
Summary:        Swiss Army Knife for SMTP
License:        GPL-2.0-only
Group:          Productivity/Networking/Email/Clients
URL:            http://jetmore.org/john/code/swaks/
Source:         http://jetmore.org/john/code/swaks/files/swaks-%{version}.tar.gz
Requires:       perl-IO-Socket-INET6
Requires:       perl-Net-DNS
Requires:       perl-Net-SSLeay
BuildArch:      noarch

%description
Swaks is a scriptable, transaction-oriented SMTP test
tool. Features include:

* SMTP extensions including TLS, authentication, pipelining, and
  XCLIENT
* Protocols including SMTP, ESMTP, and LMTP
* Transports including UNIX-domain sockets, internet-domain sockets
  (IPv4 and IPv6), and pipes to spawned processes
* Completely scriptable configuration, with option specification via
  environment variables, configuration files, and command line

%prep
%autosetup -p1

%build

%install
install -D -m 0755 swaks %{buildroot}%{_bindir}/%{name}
install -dD -m 0755 %{buildroot}%{_mandir}/man1
pod2man --center=SWAKS --section=1 swaks %{buildroot}%{_mandir}/man1/%{name}.1

%files
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz
%license LICENSE.txt
%doc README.txt doc/*.txt

%changelog
* Sun Nov 19 2023 Alex Bihlmaier <thalunil@kallisti.at>
- user request: manpage added
  https://bugzilla.opensuse.org/show_bug.cgi?id=1193140
* Mon Nov  6 2023 Marcus Rueckert <mrueckert@suse.de>
- 🙄 also require perl-IO-Socket-INET6 to ipv6 works out of the box
* Sat Oct  7 2023 Marcus Rueckert <mrueckert@suse.de>
- some feature require perl-Net-DNS
* Thu Jan 21 2021 Jan Engelhardt <jengelh@inai.de>
- Trim filler wording from descrpition. Wrap description.
* Thu Oct 22 2020 Marcus Rueckert <mrueckert@suse.de>
- update to 20201014.0
  https://www.jetmore.org/john/blog/2020/10/swaks-release-20201014-0-available/
  https://www.jetmore.org/john/blog/2020/10/swaks-release-20201010-0-available/
* Thu Oct 22 2020 Marcus Rueckert <mrueckert@suse.de>
- require perl-Net-SSLeay to enable SSL support out of the box
* Mon Sep 14 2020 Marcus Rueckert <mrueckert@suse.de>
- update to 20190914.0
  https://www.jetmore.org/john/blog/2019/10/swaks-release-20190914-0-available/
* Wed Sep 12 2018 Marcus Rueckert <mrueckert@suse.de>
- initial package 20170101.0
